Subject: Re: bug#76051: 29.4; Incorrect workarea entry in display-monitor-attributes-list on macOS

From: Ship Mints <[email-masked]>
Date: Mon, 26 May 2025 16:28:22 -0400

On Mon, May 26, 2025 at 4:23 PM Alan Third <[email-masked]> wrote:

> On Mon, May 26, 2025 at 03:38:46PM -0400, Ship Mints wrote:
> > On Mon, May 26, 2025 at 3:35 PM Alan Third <[email-masked]> wrote:
> >
> > > I'm pretty sure the arithmetic was wrong, and it was treating external
> > > monitors differently from the primary screen for some reason I
> > > couldn't work out.
> > >
> > > Can you check if the attached looks right to you? I can't check as I
> > > don't have an external monitor here.
> > >
> >
> > Also see the following bug which has a working patch:
> >
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76691
>
> Sorry, I think I'm being a bit dim but I can't see any patch there
> that fixes this particular problem.
>

Hi, Alan,

I'm now not at my desk but perhaps if the 76691 patch doesn't solve this,
but it solves the bigger problem that the monitor attributes are wrong,
maybe combine them while you're at it?

-Stephane